UXPLAY(1)

NAME
uxplay - uxplay

SYNOPSIS
uxplay [-n name] [-s wxh] [-p [n]]

DESCRIPTION
UxPlay 1.37: An open-source AirPlay mirroring server based on RPiPlay

OPTIONS

-n name
    Specify the network name of the AirPlay server

-s wxh[@r]Set display resolution [refresh_rate] default 1920x1080[@60]

-o        Set mirror "overscanned" mode on (not usually needed)

-fps n    Set maximum allowed streaming framerate, default 30

-f {H|V|I}Horizontal|Vertical flip, or both=Inversion=rotate 180 deg

-r {R|L}  Rotate 90 degrees Right (cw) or Left (ccw)

-p        Use legacy ports UDP 6000:6001:7011 TCP 7000:7001:7100

-p n      Use TCP and UDP ports n,n+1,n+2. range 1024-65535

    use "-p n1,n2,n3" to set each port, "n1,n2" for n3 = n2+1 "-p tcp n" or "-p udp n" sets TCP or UDP ports only

-m        Use random MAC address (use for concurrent UxPlay's)

-a        Turn audio off. video output only

-t n      Relaunch server if no connection existed in last n seconds

-vs       Choose the  GStreamer videosink; default "autovideosink"

    choices: ximagesink,xvimagesink,vaapisink,fpsdisplaysink, etc.

-vs 0     Streamed audio only, with no video display window

-d        Enable debug logging

-v/-h     Displays this help and version information